module Dynamic_HEVI_LinArg_interface

!#ifdef matrix
!  use Dynamic_HEVI_LinArg_matrix,  &
!       & only: LinArg_LUfact,      &
!       &       LinArg_LUsolv
!#endif

!#ifdef lapack
  use Dynamic_HEVI_LinArg_lapack,  &
       & only: LinArg_LUfact,      &
       &       LinArg_LUsolv
!#endif

end module Dynamic_HEVI_LinArg_interface
